org.restlet.ext.netty

## Class HttpServerHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ConnectorHelper<Server>
      - - org.restlet.engine.ServerHelper
        - - org.restlet.engine.http.HttpServerHelper
          - - org.restlet.ext.netty.NettyServerHelper
            - - org.restlet.ext.netty.HttpServerHelper

    public class HttpServerHelper
    extends NettyServerHelper

Netty HTTP server connector.

Author:
  Gabriel Ciuloaica (gciuloaica@gmail.com)
See Also:
  Netty home page

### Constructor Summary

Constructors
Constructor and Description
`HttpServerHelper(Server server)` Constructor.

### Method Summary

Methods
`org.jboss.netty.channel.ChannelPipelineFactory` `getPipelineFatory()` Returns the Netty pipeline factory.

### Methods inherited from class org.restlet.ext.netty.NettyServerHelper

`start, stop`

### Methods inherited from class org.restlet.engine.http.HttpServerHelper

`getAdapter, handle, setAdapter`

### Methods inherited from class org.restlet.engine.ServerHelper

`handle, setEphemeralPort, setEphemeralPort`

### Methods inherited from class org.restlet.engine.ConnectorHelper

`getConnectorService, getContext, getProtocols, update`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpServerHelper

    public HttpServerHelper(Server server)

Constructor.

Parameters:
  `server` - The helped server instance.

### Method Detail

#### getPipelineFatory

    public org.jboss.netty.channel.ChannelPipelineFactory getPipelineFatory()

Description copied from class: `NettyServerHelper`
Returns the Netty pipeline factory.

Specified by:
  `getPipelineFatory` in class `NettyServerHelper`
Returns:
  The Netty pipeline factory.